--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: included
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: XMLNS
  value: "'http://www.paypal.com/XMLPay'"
- !ruby/object:RI::Constant 
  comment: 
  name: TEST_URL
  value: "'https://pilot-payflowpro.paypal.com'"
- !ruby/object:RI::Constant 
  comment: 
  name: LIVE_URL
  value: "'https://payflowpro.paypal.com'"
- !ruby/object:RI::Constant 
  comment: 
  name: CARD_MAPPING
  value: "{         :visa => 'Visa',         :master => 'MasterCard',         :discover => 'Discover',         :american_express => 'Amex',         :jcb => 'JCB',         :diners_club => 'DinersClub',         :switch => 'Switch',         :solo => 'Solo'"
- !ruby/object:RI::Constant 
  comment: 
  name: TRANSACTIONS
  value: "{          :purchase       => \"Sale\",         :authorization  => \"Authorization\",         :capture        => \"Capture\",         :void           => \"Void\",         :credit         => \"Credit\""
- !ruby/object:RI::Constant 
  comment: 
  name: CVV_CODE
  value: "{         'Match' => 'M',         'No Match' => 'N',         'Service Not Available' => 'U',          'Service not Requested' => 'P'"
full_name: ActiveMerchant::Billing::PayflowCommonAPI
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: capture
- !ruby/object:RI::MethodSummary 
  name: test?
- !ruby/object:RI::MethodSummary 
  name: void
name: PayflowCommonAPI
superclass: 
